Page MenuHomePhabricator

Allow the notification of deleted old translations to users missing a local account
Closed, ResolvedPublic

Description

As part of the effort to remove old translation drafts (T183890), we want to send users different notifications.

Content Translation allows users to translate from any language into any language and users need an account to use the tool, but that account may not exist in all wikis. There is no guarantee that an account attached to the global user account exists on the wiki where we run the script, unless that is loginwiki where I suppose everyone has one, but CX is not installed there.

As described in T199960#4541334 one option is to run the scripts on each Wikipedia and filter per target or source language. We can also ask Growth-Team for advice.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterModify purge-unpublished-drafts to only purge in current wiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 10:20 AM

My question for Growth: is there a way to send a notification to a user in a different wiki?

If not, then I think the best option is to run this script on all Wikipedias separately. That shouldn't be very difficult with foreachwikiindblist and small changes to the script itself.

My question for Growth: is there a way to send a notification to a user in a different wiki?

Not directly, no. There are various ways you could do this yourself (e.g. have one script that generates a list of wiki+user pairs to notify, and a second script that sends the actual notifications), but there's no infrastructure to help you.

Pginer-WMF raised the priority of this task from Medium to High.Nov 26 2018, 11:06 AM

Change 476046 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Modify purge-unpublished-drafts to only purge in current wiki

https://gerrit.wikimedia.org/r/476046

Change 476046 merged by KartikMistry:
[mediawiki/extensions/ContentTranslation@master] Modify purge-unpublished-drafts to only purge in current wiki

https://gerrit.wikimedia.org/r/476046

Tested. However, we can close this once I run contenttranslation/scripts/purge-unpublished-drafts.php script in Production.

Pginer-WMF closed this task as Resolved.Dec 10 2018, 9:39 AM